%define grassver 6.0.2

Name:         	qgis
Version:        0.7.4
Release:	1
License:	GPL
Group:		Applications/Engineering
Source:		%{name}-%{version}.tar.gz
URL:		http://qgis.sourceforge.net/
Patch0:		qgis-gcc41.patch
Summary:	Quantum GIS (QGIS) is a Desktop GIS based on QT


BuildRequires: automake, libtool
BuildRequires: flex, bison
BuildRequires: qt-devel
BuildRequires: geos-devel, gdal-devel, grass = %{grassver}
BuildRequires: proj-devel, postgresql-devel
BuildRequires: hdf5-devel, libungif-devel
BuildRequires: libtiff-devel >= 3.6.0
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Quantum GIS (QGIS) is designed to be a Geographic Information System (GIS) 
built for Linux/Unix. QGIS will offer support for vector and raster formats. 
Currently QGIS supports shapefiles and PostgreSQL/PostGIS layers.  

Planned features include:

    * Read and edit shapefiles
    * Display georeferenced rasters (tiff, png, geotiff)
    * Plugins to dynamically add new functionality to the application
    * Support for database tables
    * Support for spatially enabled tables in PostgreSQL using PostGIS
    * Map output
    * Script engine
    * Metadata support

%prep
%setup
%patch0 -p1

%build

export CFLAGS="-O3" CPPFLAGS="-O3" LDFLAGS="-s"
./configure \
 --with-postgresql \
 --with-gdal=/usr/bin/gdal-config \
 --with-geos=/usr/bin/geos-config \
 --with-grass=/usr/lib/grass-%{grassver} \
 --with-sqlite3dir=/usr \
 --with-qtdir=/usr/lib/qt-3.3/

# Patch the generated libtool to avoid passing -rpath when linking,
# and to explicitly link libraries against the libraries they
# depend on.
sed < libtool > libtool-2 \
-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' \
-e 's/^hardcode_into_libs.*$$/hardcode_into_libs=no/'
mv libtool-2 libtool
chmod 755 libtool

make 
strip src/.libs/*.so*

%install
rm -rf %{buildroot}
%makeinstall 
rm -r %{buildroot}/%{_includedir}/

%clean
rm -rf %{buildroot}

%files
%{_bindir}/*
%{_libdir}/*
%{_datadir}/*
%{_mandir}/man1/*
%doc AUTHORS BUGS COPYING ChangeLog INSTALL README TODO

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog -n qgis
* Fri Mar 10 2006 Silke Reimer <silke@intevation.de> 0.7.4-1
- First Build for FC 5
* Fri Oct 14 2005 Silke Reimer <silke@intevation.de> 0.8cvs
- First Build for FC 4
* Mon Aug 24 2005 - <dassau gdf-hannover de>
- adaptions for GRASS 6.0.1
* Mon Jun 25 2005 - Stephan Holl
- creation of a pre2-release
* Mon Jun 20 2005 - Otto Dassau
- adaptions for SuSE 9.3
* Wed Feb 18 2004 - Jens Oberender <j.obi@troja.net>
- the first spec for CVS
